Jump to content
Sign in to follow this  
Powie

php 5.1.2 Kompile --with-imap

Recommended Posts

In meiner Nachtschicht ist es mir nun doch gelungen das neuste php Build auf den Linux Maschinen zu kompilieren, Die Problematik liegt dabei darin das ich unbedingt den imap Support benötigt da die Webmail Dienste darüber zugreifen. Mit php 5.1.0. gab es dann irgendeine Änderung dahingehend, so das man zwar kompilieren konnte, Apache aber die libphp5 nicht laden konnte.

Ursache war dafür die gleichzeitige Existenz einer shared wie einer static Lib des c-client.


/usr/lib/libc-client.a

/usr/lib/libc-client.so -> /usr/lib/libc-client.so.2004g

/usr/lib/libc-client.so.2004g


Somit ignorierte das libtool wohl die Existenz von libc-client.a und versuchte wie früher üblich mit der shared lib den imap Support zu erstellen.

Lösung: den Link entfernen.


Zudem habe ich festgestellt das man wohl mindestens die Version 2004c benötigt damit das mit php5 spielt. Mit einer älteren Version konnte man zwar kompilieren, der imap Connect schlug aber fehl.

- Editiert von Powie am 13.01.2006, 12:07 -

Share this post


Link to post
Share on other sites
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×